+ date
Thu Apr 20 00:48:20 UTC 2023
+ apt-get source --only-source tpmfactoryupd=1.1.2529.00-1pureos4
Reading package lists...
NOTICE: 'tpmfactoryupd' packaging is maintained in the 'Git' version control system at:
https://source.puri.sm/pureos/packages/tpmfactoryupd.git
Please use:
git clone https://source.puri.sm/pureos/packages/tpmfactoryupd.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 158 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main tpmfactoryupd 1.1.2529.00-1pureos4 (dsc) [1946 B]
Get:2 http://repo.pureos.net/pureos byzantium/main tpmfactoryupd 1.1.2529.00-1pureos4 (tar) [152 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main tpmfactoryupd 1.1.2529.00-1pureos4 (diff) [4312 B]
dpkg-source: info: extracting tpmfactoryupd in tpmfactoryupd-1.1.2529.00
dpkg-source: info: unpacking tpmfactoryupd_1.1.2529.00.orig.tar.xz
dpkg-source: info: unpacking tpmfactoryupd_1.1.2529.00-1pureos4.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying copyright-for-readme-file
Fetched 158 kB in 0s (688 kB/s)
W: Download is performed unsandboxed as root as file 'tpmfactoryupd_1.1.2529.00-1pureos4.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source tpmfactoryupd=1.1.2529.00-1pureos4
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  libssl-dev
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 1817 kB of archives.
After this operation, 8177 kB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium-security/main amd64 libssl-dev amd64 1.1.1n-0+deb11u4 [1817 kB]
Fetched 1817 kB in 1s (3103 kB/s)
Selecting previously unselected package libssl-dev:amd64.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../libssl-dev_1.1.1n-0+deb11u4_amd64.deb ...
Unpacking libssl-dev:amd64 (1.1.1n-0+deb11u4) ...
Setting up libssl-dev:amd64 (1.1.1n-0+deb11u4) ...
+ find . -maxdepth 1 -name tpmfactoryupd* -type d
+ cd ./tpmfactoryupd-1.1.2529.00
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package tpmfactoryupd
dpkg-buildpackage: info: source version 1.1.2529.00-1pureos4
dpkg-buildpackage: info: source distribution byzantium
dpkg-buildpackage: info: source changed by Jeremiah C. Foster <jeremiah.foster@puri.sm>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean -D ./TPMFactoryUpd/
   dh_testdir -O-D./TPMFactoryUpd/
   dh_auto_clean -O-D./TPMFactoryUpd/
	cd TPMFactoryUpd && make -j40 clean
make[1]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/TPMFactoryUpd'
# Call shared sub-makefiles to cleanup archives
make -C ../Common/Platform clean
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Platform'
rm -rfv *.o libplatform.a
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Platform'
make -C ../Common/ConsoleIO clean
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/ConsoleIO'
rm -rfv *.o libconsoleio.a
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/ConsoleIO'
make -C ../Common/MicroTss clean
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/MicroTss'
rm -rfv *.o libmicrotss.a
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/MicroTss'
make -C ../Common/FileIO clean
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/FileIO'
rm -rfv *.o libfileio.a
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/FileIO'
make -C ../Common/TpmDeviceAccess clean
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/TpmDeviceAccess'
rm -rfv *.o libtpmdeviceaccess.a
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/TpmDeviceAccess'
make -C ../Common/Crypt clean
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Crypt'
rm -rfv *.o libcrypt.a
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Crypt'
# And clean everything for the actual makefile
rm -rfv *.o TPMFactoryUpd
make[1]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/TPMFactoryUpd'
   dh_autoreconf_clean -O-D./TPMFactoryUpd/
   dh_clean -O-D./TPMFactoryUpd/
	rm -f debian/debhelper-build-stamp
	rm -rf debian/.debhelper/
	rm -f -- debian/tpmfactoryupd.substvars debian/files
	rm -fr -- debian/tpmfactoryupd/ debian/tmp/
	find .  \( \( \
		\( -path .\*/.git -o -path .\*/.svn -o -path .\*/.bzr -o -path .\*/.hg -o -path .\*/CVS -o -path .\*/.pc -o -path .\*/_darcs \) -prune -o -type f -a \
	        \( -name '#*#' -o -name '.*~' -o -name '*~' -o -name DEADJOE \
		 -o -name '*.orig' -o -name '*.rej' -o -name '*.bak' \
		 -o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \
		 -o -name TAGS -o \( -path '*/.deps/*' -a -name '*.P' \) \
		\) -exec rm -f {} + \) -o \
		\( -type d -a -name autom4te.cache -prune -exec rm -rf {} + \) \)
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building tpmfactoryupd using existing ./tpmfactoryupd_1.1.2529.00.orig.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building tpmfactoryupd in tpmfactoryupd_1.1.2529.00-1pureos4.debian.tar.xz
dpkg-source: info: building tpmfactoryupd in tpmfactoryupd_1.1.2529.00-1pureos4.dsc
 debian/rules build
dh build -D ./TPMFactoryUpd/
   dh_testdir -O-D./TPMFactoryUpd/
   dh_update_autotools_config -O-D./TPMFactoryUpd/
   dh_autoreconf -O-D./TPMFactoryUpd/
   dh_auto_configure -O-D./TPMFactoryUpd/
   dh_auto_build -O-D./TPMFactoryUpd/
	cd TPMFactoryUpd && make -j40 "INSTALL=install --strip-program=true"
make[1]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/TPMFactoryUpd'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ./Linux/TPMFactoryUpd.c -o TPMFactoryUpd.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux CommandFlow_Init.c -o CommandFlow_Init.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux CommandFlow_TpmInfo.c -o CommandFlow_TpmInfo.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux CommandFlow_TpmUpdate.c -o CommandFlow_TpmUpdate.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux CommandFlow_Tpm12ClearOwnership.c -o CommandFlow_Tpm12ClearOwnership.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux CommandLineParser.c -o CommandLineParser.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/CommandLine.c -o CommandLine.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/Config.c -o Config.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ConfigSettings.c -o ConfigSettings.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux Controller.c -o Controller.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/ControllerCommon.c -o ControllerCommon.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/DeviceManagement.c -o DeviceManagement.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/Error.c -o Error.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/FirmwareImage.c -o FirmwareImage.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/FirmwareUpdate.c -o FirmwareUpdate.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/Logging.c -o Logging.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/PropertyStorage.c -o PropertyStorage.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux Response.c -o Response.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/TpmResponse.c -o TpmResponse.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I../Common  -I../Common/ConsoleIO  -I../Common/Crypt  -I../Common/FileIO  -I../Common/MicroTss  -I../Common/MicroTss/Tpm_1_2  -I../Common/MicroTss/Tpm_2_0  -I../Common/Platform  -I../Common/TpmDeviceAccess  -I../IFXTPMUpdate/Linux ../Common/Utility.c -o Utility.o
# Call shared sub-makefiles to generate archives
make -C ../Common/Platform
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Platform'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I.. ./Linux/Platform.c -o Platform.o
ar rv libplatform.a Platform.o
ar: creating libplatform.a
a - Platform.o
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Platform'
make -C ../Common/ConsoleIO
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/ConsoleIO'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform Common.c -o Common.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform ./Linux/ConsoleIO.c -o ConsoleIO.o
ar rv libconsoleio.a Common.o ConsoleIO.o
ar: creating libconsoleio.a
a - Common.o
a - ConsoleIO.o
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/ConsoleIO'
make -C ../Common/MicroTss
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/MicroTss'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_FieldUpgradeComplete.c -o TPM_FieldUpgradeComplete.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_FieldUpgradeInfoRequest.c -o TPM_FieldUpgradeInfoRequest.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_FieldUpgradeInfoRequest2.c -o TPM_FieldUpgradeInfoRequest2.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_FieldUpgradeStart.c -o TPM_FieldUpgradeStart.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_FieldUpgradeUpdate.c -o TPM_FieldUpgradeUpdate.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_FlushSpecific.c -o TPM_FlushSpecific.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_GetCapability.c -o TPM_GetCapability.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_GetTestResult.c -o TPM_GetTestResult.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_Marshal.c -o TPM_Marshal.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_OIAP.c -o TPM_OIAP.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_OSAP.c -o TPM_OSAP.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_OwnerClear.c -o TPM_OwnerClear.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_OwnerReadInternalPub.c -o TPM_OwnerReadInternalPub.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_ReadPubEK.c -o TPM_ReadPubEK.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_SetCapability.c -o TPM_SetCapability.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_Startup.c -o TPM_Startup.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TPM_TakeOwnership.c -o TPM_TakeOwnership.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_FieldUpgradeMarshal.c -o TPM2_FieldUpgradeMarshal.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_FieldUpgradeStartVendor.c -o TPM2_FieldUpgradeStartVendor.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_FlushContext.c -o TPM2_FlushContext.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_GetCapability.c -o TPM2_GetCapability.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_GetTestResult.c -o TPM2_GetTestResult.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_HierarchyChangeAuth.c -o TPM2_HierarchyChangeAuth.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_Marshal.c -o TPM2_Marshal.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_PolicyCommandCode.c -o TPM2_PolicyCommandCode.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_PolicySecret.c -o TPM2_PolicySecret.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_SetPrimaryPolicy.c -o TPM2_SetPrimaryPolicy.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_Shutdown.c -o TPM2_Shutdown.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_StartAuthSession.c -o TPM2_StartAuthSession.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_2_0/TPM2_Startup.c -o TPM2_Startup.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Crypt  -I../Platform  -ITpm_1_2  -ITpm_2_0 Tpm_1_2/TSC_PhysicalPresence.c -o TSC_PhysicalPresence.o
ar rv libmicrotss.a TPM_FieldUpgradeComplete.o TPM_FieldUpgradeInfoRequest.o TPM_FieldUpgradeInfoRequest2.o TPM_FieldUpgradeStart.o TPM_FieldUpgradeUpdate.o TPM_FlushSpecific.o TPM_GetCapability.o TPM_GetTestResult.o TPM_Marshal.o TPM_OIAP.o TPM_OSAP.o TPM_OwnerClear.o TPM_OwnerReadInternalPub.o TPM_ReadPubEK.o TPM_SetCapability.o TPM_Startup.o TPM_TakeOwnership.o TPM2_FieldUpgradeMarshal.o TPM2_FieldUpgradeStartVendor.o TPM2_FlushContext.o TPM2_GetCapability.o TPM2_GetTestResult.o TPM2_HierarchyChangeAuth.o TPM2_Marshal.o TPM2_PolicyCommandCode.o TPM2_PolicySecret.o TPM2_SetPrimaryPolicy.o TPM2_Shutdown.o TPM2_StartAuthSession.o TPM2_Startup.o TSC_PhysicalPresence.o
ar: creating libmicrotss.a
a - TPM_FieldUpgradeComplete.o
a - TPM_FieldUpgradeInfoRequest.o
a - TPM_FieldUpgradeInfoRequest2.o
a - TPM_FieldUpgradeStart.o
a - TPM_FieldUpgradeUpdate.o
a - TPM_FlushSpecific.o
a - TPM_GetCapability.o
a - TPM_GetTestResult.o
a - TPM_Marshal.o
a - TPM_OIAP.o
a - TPM_OSAP.o
a - TPM_OwnerClear.o
a - TPM_OwnerReadInternalPub.o
a - TPM_ReadPubEK.o
a - TPM_SetCapability.o
a - TPM_Startup.o
a - TPM_TakeOwnership.o
a - TPM2_FieldUpgradeMarshal.o
a - TPM2_FieldUpgradeStartVendor.o
a - TPM2_FlushContext.o
a - TPM2_GetCapability.o
a - TPM2_GetTestResult.o
a - TPM2_HierarchyChangeAuth.o
a - TPM2_Marshal.o
a - TPM2_PolicyCommandCode.o
a - TPM2_PolicySecret.o
a - TPM2_SetPrimaryPolicy.o
a - TPM2_Shutdown.o
a - TPM2_StartAuthSession.o
a - TPM2_Startup.o
a - TSC_PhysicalPresence.o
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/MicroTss'
make -C ../Common/FileIO
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/FileIO'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform ./Linux/FileIO.c -o FileIO.o
ar rv libfileio.a FileIO.o
ar: creating libfileio.a
a - FileIO.o
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/FileIO'
make -C ../Common/TpmDeviceAccess
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/TpmDeviceAccess'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform Linux/DeviceAccess.c -o DeviceAccess.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform Linux/DeviceAccessTpmDriver.c -o DeviceAccessTpmDriver.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform TPM_TIS.c -o TPM_TIS.o
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform Linux/TpmIO.c -o TpmIO.o
ar rv libtpmdeviceaccess.a DeviceAccess.o DeviceAccessTpmDriver.o TPM_TIS.o TpmIO.o
ar: creating libtpmdeviceaccess.a
a - DeviceAccess.o
a - DeviceAccessTpmDriver.o
a - TPM_TIS.o
a - TpmIO.o
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/TpmDeviceAccess'
make -C ../Common/Crypt
make[2]: Entering directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Crypt'
cc -c -Wdate-time -D_FORTIFY_SOURCE=2 -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align   -I.  -I..  -I../Platform Linux/Crypt.c -o Crypt.o
ar crs libcrypt.a Crypt.o
make[2]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/Common/Crypt'
# And run the actual makefile job
cc TPMFactoryUpd.o CommandFlow_Init.o CommandFlow_TpmInfo.o CommandFlow_TpmUpdate.o CommandFlow_Tpm12ClearOwnership.o CommandLineParser.o CommandLine.o Config.o ConfigSettings.o Controller.o ControllerCommon.o DeviceManagement.o Error.o FirmwareImage.o FirmwareUpdate.o Logging.o PropertyStorage.o Response.o TpmResponse.o Utility.o -o TPMFactoryUpd -g -O2 -ffile-prefix-map=/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -pedantic -Wall -Wextra -std=gnu1x -Wpedantic -Wno-missing-field-initializers -Werror -Wshadow -Wcast-align -Wswitch-default -Wunreachable-code -Wimplicit-fallthrough=1 -DLINUX -Wno-newline-eof -Wno-gnu-zero-variadic-macro-arguments -Wno-cast-align -Wl,-z,relro -Wl,-z,now -Wl,--as-needed -lcrypt -L../Common/Crypt -lplatform -L../Common/Platform -lmicrotss -L../Common/MicroTss -lfileio -L../Common/FileIO -ltpmdeviceaccess -L../Common/TpmDeviceAccess -lconsoleio -L../Common/ConsoleIO -lcrypto
make[1]: Leaving directory '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00/TPMFactoryUpd'
   dh_auto_test -O-D./TPMFactoryUpd/
   create-stamp debian/debhelper-build-stamp
 debian/rules binary
dh binary -D ./TPMFactoryUpd/
   dh_testroot -O-D./TPMFactoryUpd/
   dh_prep -O-D./TPMFactoryUpd/
	rm -f -- debian/tpmfactoryupd.substvars
	rm -fr -- debian/.debhelper/generated/tpmfactoryupd/ debian/tpmfactoryupd/ debian/tmp/
   dh_installdirs -O-D./TPMFactoryUpd/
   dh_install -O-D./TPMFactoryUpd/
	install -d debian/tpmfactoryupd/usr/bin
	cp --reflink=auto -a ./TPMFactoryUpd/TPMFactoryUpd debian/tpmfactoryupd/usr/bin/
	install -d debian/.debhelper/generated/tpmfactoryupd
   dh_installdocs -O-D./TPMFactoryUpd/
	install -d debian/tpmfactoryupd/usr/share/doc/tpmfactoryupd
	install -p -m0644 debian/copyright debian/tpmfactoryupd/usr/share/doc/tpmfactoryupd/copyright
   dh_installchangelogs -O-D./TPMFactoryUpd/
	install -p -m0644 debian/changelog debian/tpmfactoryupd/usr/share/doc/tpmfactoryupd/changelog.Debian
   dh_installexamples -O-D./TPMFactoryUpd/
   dh_installman -O-D./TPMFactoryUpd/
   dh_installcatalogs -O-D./TPMFactoryUpd/
   dh_installcron -O-D./TPMFactoryUpd/
   dh_installdebconf -O-D./TPMFactoryUpd/
	install -d debian/tpmfactoryupd/DEBIAN
   dh_installemacsen -O-D./TPMFactoryUpd/
   dh_installifupdown -O-D./TPMFactoryUpd/
   dh_installinfo -O-D./TPMFactoryUpd/
   dh_installinit -O-D./TPMFactoryUpd/
   dh_installsystemd -O-D./TPMFactoryUpd/
   dh_installmenu -O-D./TPMFactoryUpd/
   dh_installmime -O-D./TPMFactoryUpd/
   dh_installmodules -O-D./TPMFactoryUpd/
   dh_installlogcheck -O-D./TPMFactoryUpd/
   dh_installlogrotate -O-D./TPMFactoryUpd/
   dh_installpam -O-D./TPMFactoryUpd/
   dh_installppp -O-D./TPMFactoryUpd/
   dh_installudev -O-D./TPMFactoryUpd/
   dh_installgsettings -O-D./TPMFactoryUpd/
   dh_installalternatives -O-D./TPMFactoryUpd/
   dh_bugfiles -O-D./TPMFactoryUpd/
   dh_ucf -O-D./TPMFactoryUpd/
   dh_lintian -O-D./TPMFactoryUpd/
   dh_gconf -O-D./TPMFactoryUpd/
dh_gconf: warning: Please migrate to dh_installgsettings; gconf + dh_gconf is scheduled for removal.
   dh_icons -O-D./TPMFactoryUpd/
   dh_perl -O-D./TPMFactoryUpd/
   dh_usrlocal -O-D./TPMFactoryUpd/
   dh_link -O-D./TPMFactoryUpd/
   dh_installwm -O-D./TPMFactoryUpd/
   dh_installxfonts -O-D./TPMFactoryUpd/
   dh_strip_nondeterminism -O-D./TPMFactoryUpd/
   dh_compress -O-D./TPMFactoryUpd/
	cd debian/tpmfactoryupd
	chmod a-x usr/share/doc/tpmfactoryupd/changelog.Debian
	gzip -9nf usr/share/doc/tpmfactoryupd/changelog.Debian
	cd '/build/tpmfactoryupd/tpmfactoryupd-1.1.2529.00'
   dh_fixperms -O-D./TPMFactoryUpd/
	find debian/tpmfactoryupd -true -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
	find debian/tpmfactoryupd ! -type l -a -true -a -true -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
	find debian/tpmfactoryupd/usr/share/doc -type f -a -true -a ! -regex 'debian/tpmfactoryupd/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/tpmfactoryupd/usr/share/doc -type d -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0755
	find debian/tpmfactoryupd -type f \( -name '*.so.*' -o -name '*.so' -o -name '*.la' -o -name '*.a' -o -name '*.js' -o -name '*.css' -o -name '*.scss' -o -name '*.sass' -o -name '*.jpeg' -o -name '*.jpg' -o -name '*.png' -o -name '*.gif' -o -name '*.cmxs' -o -name '*.node' \) -a -true -a -true -print0 2>/dev/null | xargs -0r chmod 0644
	find debian/tpmfactoryupd/usr/bin -type f -a -true -a -true -print0 2>/dev/null | xargs -0r chmod a+x
   dh_missing -O-D./TPMFactoryUpd/
   dh_strip -O-D./TPMFactoryUpd/
	install -d debian/.debhelper/tpmfactoryupd/dbgsym-root/usr/lib/debug/.build-id/74
	objcopy --only-keep-debug --compress-debug-sections debian/tpmfactoryupd/usr/bin/TPMFactoryUpd debian/.debhelper/tpmfactoryupd/dbgsym-root/usr/lib/debug/.build-id/74/2c4182c7c1f9d19e5e612983cf93b24de43e1d.debug
	chmod 0644 -- debian/.debhelper/tpmfactoryupd/dbgsym-root/usr/lib/debug/.build-id/74/2c4182c7c1f9d19e5e612983cf93b24de43e1d.debug
	chown 0:0 -- debian/.debhelper/tpmfactoryupd/dbgsym-root/usr/lib/debug/.build-id/74/2c4182c7c1f9d19e5e612983cf93b24de43e1d.debug
	strip --remove-section=.comment --remove-section=.note debian/tpmfactoryupd/usr/bin/TPMFactoryUpd
	objcopy --add-gnu-debuglink debian/.debhelper/tpmfactoryupd/dbgsym-root/usr/lib/debug/.build-id/74/2c4182c7c1f9d19e5e612983cf93b24de43e1d.debug debian/tpmfactoryupd/usr/bin/TPMFactoryUpd
	rm -fr debian/.debhelper/tpmfactoryupd/dbgsym-root
   dh_makeshlibs -O-D./TPMFactoryUpd/
	rm -f debian/tpmfactoryupd/DEBIAN/shlibs
   dh_shlibdeps -O-D./TPMFactoryUpd/
	dpkg-shlibdeps -Tdebian/tpmfactoryupd.substvars debian/tpmfactoryupd/usr/bin/TPMFactoryUpd
   dh_installdeb -O-D./TPMFactoryUpd/
   dh_gencontrol -O-D./TPMFactoryUpd/
	echo misc:Depends= >> debian/tpmfactoryupd.substvars
	echo misc:Pre-Depends= >> debian/tpmfactoryupd.substvars
	dpkg-gencontrol -ptpmfactoryupd -ldebian/changelog -Tdebian/tpmfactoryupd.substvars -Pdebian/tpmfactoryupd
	chmod 0644 -- debian/tpmfactoryupd/DEBIAN/control
	chown 0:0 -- debian/tpmfactoryupd/DEBIAN/control
   dh_md5sums -O-D./TPMFactoryUpd/
	cd debian/tpmfactoryupd >/dev/null && xargs -r0 md5sum | perl -pe 'if (s@^\\@@) { s/\\\\/\\/g; }' > DEBIAN/md5sums
	chmod 0644 -- debian/tpmfactoryupd/DEBIAN/md5sums
	chown 0:0 -- debian/tpmfactoryupd/DEBIAN/md5sums
   dh_builddeb -O-D./TPMFactoryUpd/
	dpkg-deb --build debian/tpmfactoryupd ..
dpkg-deb: building package 'tpmfactoryupd' in '../tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../tpmfactoryupd_1.1.2529.00-1pureos4_amd64.changes
dpkg-genchanges: info: not including original source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: binary and diff upload (original source NOT included)
+ date
Thu Apr 20 00:48:36 UTC 2023
+ cd ..
+ ls -la
total 328
drwxr-xr-x 3 root root   4096 Apr 20 00:48 .
drwxr-xr-x 3 root root   4096 Apr 20 00:48 ..
-rw-r--r-- 1 root root  52069 Apr 20 00:48 buildlog.txt
drwxr-xr-x 6 root root   4096 Apr 20 00:48 tpmfactoryupd-1.1.2529.00
-rw-r--r-- 1 root root   4312 Apr 20 00:48 tpmfactoryupd_1.1.2529.00-1pureos4.debian.tar.xz
-rw-r--r-- 1 root root   1201 Apr 20 00:48 tpmfactoryupd_1.1.2529.00-1pureos4.dsc
-rw-r--r-- 1 root root   5363 Apr 20 00:48 tpmfactoryupd_1.1.2529.00-1pureos4_amd64.buildinfo
-rw-r--r-- 1 root root   1926 Apr 20 00:48 tpmfactoryupd_1.1.2529.00-1pureos4_amd64.changes
-rw-r--r-- 1 root root  87504 Apr 20 00:48 tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb
-rw-r--r-- 1 root root 152132 Jan 23  2022 tpmfactoryupd_1.1.2529.00.orig.tar.xz
+ find . -maxdepth 1 -type f
+ sha256sum ./buildlog.txt ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.changes ./tpmfactoryupd_1.1.2529.00.orig.tar.xz ./tpmfactoryupd_1.1.2529.00-1pureos4.dsc ./tpmfactoryupd_1.1.2529.00-1pureos4.debian.tar.xz ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.buildinfo
44d38875563fc38ecd50bf15a1330991b61a2d4b6c15d6f2fbcd31765b0ebe7f  ./buildlog.txt
a7715427658955919279eee6a1af45e913b06661959414ea25ed756c14d11123  ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb
c87c5b8fc2fd42bec61298c1d3508ce17da2d31bbed14c6222194ab09638ea48  ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.changes
cd88a6ab29e64e9baf6f4b8bb408096fa99846b16a27d82aada2e4773473dcd1  ./tpmfactoryupd_1.1.2529.00.orig.tar.xz
12205c2b79e20b395e2d8a40f23158557da5a536ce1a89c9f044fcfc0411a057  ./tpmfactoryupd_1.1.2529.00-1pureos4.dsc
bfad17049698cae1ac0e0c9651fdfafde8bb35f8520b31b3014abdafb9971e53  ./tpmfactoryupd_1.1.2529.00-1pureos4.debian.tar.xz
5f15b1888446913de43b5324bbf8431658796da4cb83721165135d4ff8a0fc1b  ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.buildinfo
+ mkdir published
+ cd published
+ cd ../
+ ls tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/t/tpmfactoryupd/tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb
--2023-04-20 00:48:36--  http://repo.pureos.net/pureos/pool/main/t/tpmfactoryupd/tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 87504 (85K) [application/octet-stream]
Saving to: 'tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb'

     0K .......... .......... .......... .......... .......... 58%  938K 0s
    50K .......... .......... .......... .....                100% 51.8M=0.05s

2023-04-20 00:48:36 (1.55 MB/s) - 'tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb' saved [87504/87504]

+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb
a7715427658955919279eee6a1af45e913b06661959414ea25ed756c14d11123  ./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./tpmfactoryupd_1.1.2529.00-1pureos4_amd64.deb: OK
+ echo Package tpmfactoryupd version 1.1.2529.00-1pureos4 is reproducible!
Package tpmfactoryupd version 1.1.2529.00-1pureos4 is reproducible!
